<template lang='pug'>
BaseCard
  template(v-slot:header='')
    .d-flex.flex-wrap.align-items-center
      strong Values
      button.btn.btn-sm.btn-outline-dark.ml-auto(v-if='inEdit' title='Add Value' @click='add()')
        i.fa.fa-plus
  template(v-slot:default)
    template(v-if='inEdit')
      draggable(key='edit'
          :list='editValueList'
          class='list-group' ghost-class='list-group-item-primary' handle='.x-grip')
        li.list-group-item.d-flex.align-items-center.justify-content-between.px-0.py-1(
            v-for='value, idx in editValueList' :key='idx')
          div.px-2.b-clickable.x-grip
            i.fa.fa-grip-vertical
          input.form-control.form-control-sm(type='text'
            placeholder='enter value ...'
            v-model='editValueList[idx]')
          div.px-2.b-clickable(@click='removeAt(idx)')
            i.fa.fa-times
    template(v-else)
      li.list-group-item.py-1(:key='`value-${idx}`' v-for='value, idx in valueList') {{ value }}
</template>
<script src='./PropertyEnumValuesEdit.vue.js' />
